diff --git a/web/pgadmin/misc/static/explain/js/explain.js b/web/pgadmin/misc/static/explain/js/explain.js
index c32d2d4..acf2844 100644
--- a/web/pgadmin/misc/static/explain/js/explain.js
+++ b/web/pgadmin/misc/static/explain/js/explain.js
@@ -1187,7 +1187,7 @@ define('pgadmin.misc.explain', [
         return [
           '   <li class="nav-item" role="presentation">',
           '    <a class="nav-link ', _active ? 'active' : '', '"',
-          '       data-toggle="tab" tabindex="-1"',
+          '       data-toggle="tab" tabindex="0"',
           `       data-tab-index="${_idx}"`,
           '       aria-selected="', _active ? 'true' : 'false', '"',
           `       role="tab" data-explain-role="${_type}"`,
@@ -1199,7 +1199,7 @@ define('pgadmin.misc.explain', [
       },
       createTabPanel = (_type, _active, _extraClasses) => {
         return [
-          '   <div role="tabpanel" tabindex="-1" class="tab-pane pg-el-sm-12',
+          '   <div role="tabpanel" tabindex="0" class="tab-pane pg-el-sm-12',
           '        pg-el-md-12 pg-el-lg-12 pg-el-12 fade collapse',
           _active ? ' active show' : '', ` ${_extraClasses}"`,
           `        data-explain-tabpanel="${_type}"`,
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 3e3554e..5e8b82a 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -404,6 +404,12 @@ define('tools.querytool', [
         self.query_tool_obj.focus();
       });
 
+      pgBrowser.Events.on('pgadmin:query_tool:explain:focus', ()=>{
+        setTimeout(function () {
+          $('.sql-editor-explain .backform-tab .nav-link.active').focus();
+        }, 200);
+      });
+
       if (!self.preferences.new_browser_tab) {
         // Listen on the panel closed event and notify user to save modifications.
         _.each(pgWindow.default.pgAdmin.Browser.docker.findPanels('frm_datagrid'), function(p) {
